summaryrefslogtreecommitdiff
path: root/bin/sanity-check
diff options
context:
space:
mode:
Diffstat (limited to 'bin/sanity-check')
-rwxr-xr-xbin/sanity-check6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/sanity-check b/bin/sanity-check
index a892e88..e51f64b 100755
--- a/bin/sanity-check
+++ b/bin/sanity-check
@@ -66,6 +66,12 @@ do
shift
done
+exec 9> "${sanity_check_lock_file}"
+if ! flock -n 9; then
+ >&2 echo 'Sanity check skipped, cannot acquire lock.'
+ exit 11
+fi
+
finish() {
if ${web}; then
{